## GocStyledItem

GocStyledItem

## Synopsis

                        GocStyledItem;
                        GocStyledItemClass;
    gboolean            goc_styled_item_set_cairo_line      (GocStyledItem const *gsi,
                                                             cairo_t *cr);

## Object Hierarchy

      GObject
       +----GocItem
             +----GocStyledItem
                   +----GocLine
                   +----GocEllipse
                   +----GocPolyline
                   +----GocCircle
                   +----GocPolygon
                   +----GocRectangle
                   +----GocText

## Implemented Interfaces

GocStyledItem implements GOStyledObject.

## Properties

      "scale-line-width"         gboolean              : Read / Write
      "style"                    GOStyle*              : Read / Write

## Signals

      "style-changed"                                  : Run Last

## Description

## Details

### GocStyledItem

    typedef struct _GocStyledItem GocStyledItem;

### GocStyledItemClass

    typedef struct {
    	GocItemClass base;

    	/* virtual */
    	void	  (*init_style)     	(GocStyledItem *item, GOStyle *style);

    	/* signal */
    	void (*style_changed) (GocStyledItem *item, GOStyle const *new_style);
    } GocStyledItemClass;

### goc_styled_item_set_cairo_line ()

    gboolean            goc_styled_item_set_cairo_line      (GocStyledItem const *gsi,
                                                             cairo_t *cr);

`gsi` : |
`cr` : |
Returns : |

## Property Details

### The `"scale-line-width"` property

      "scale-line-width"         gboolean              : Read / Write

Whether to scale the line width or not when zooming.

Default value: TRUE

### The `"style"` property

      "style"                    GOStyle*              : Read / Write

A pointer to the GOStyle object.

## Signal Details

### The `"style-changed"` signal

    void                user_function                      (GocStyledItem *gocstyleditem,
                                                            GObject       *arg1,
                                                            gpointer       user_data)          : Run Last

`gocstyleditem` : | the object which received the signal.
`arg1` : |
`user_data` : | user data set when the signal handler was connected.